.TH ZABBIX_PROXY 8 "10 November 2011"
.SH NAME
zabbix_proxy \- Zabbix proxy daemon.
.SH SYNOPSIS
.B zabbix_proxy [-hV] [-c \fI<config-file>\fB] [-R \fI<option>\fB]
.SH DESCRIPTION
.B zabbix_proxy
is a daemon used for remote data collection.
.SS Options
.IP "-c, --config \fI<config-file>\fR"
Use the alternate \fIconfig-file\fR instead of the default one.
Absolute path should be specified.
.IP "-R, --runtime-control \fI<option>\fR"
Perform administrative functions according to \fIoption\fR.
.SS
.RS 4
Runtime control options
.RS 4
.TP 4
config_cache_reload
Reload configuration cache. Ignored if cache is being currently loaded. Active Zabbix proxy will connect to the Zabbix server and request configuration data.
Default configuration file (unless \fB-c\fR option is specified) will be used to find PID file and signal will be sent to process, listed in PID file.
.RE
.RS 4
.TP 4
log_level_increase[=<target>]
Increase log level, affect all processes if target is not specified
.RE
.RS 4
.TP 4
log_level_increase[=<target>]
Decrease log level, affect all processes if target is not specified
.RE
.RE
.SS
.RS 4
Log level control targets
.RS 4
.TP 4
<pid>
Process identifier
.RE
.RS 4
.TP 4
<process type>
All processes of specified type (e.g., poller)
.RE
.RS 4
.TP 4
<process type>,N
Process type and number (e.g., poller,3)
.RE
.RE
.IP "-h, --help"
Display this help and exit.
.IP "-V, --version"
Output version information and exit.
.SH FILES
.TP
.I /usr/local/etc/zabbix_proxy.conf
Default location of Zabbix proxy configuration file (if not modified during compile time).
.SH "SEE ALSO"
.BR zabbix_agentd (8),
.BR zabbix_get (8),
.BR zabbix_sender (8),
.BR zabbix_server (8)
.SH AUTHOR
Alexei Vladishev <alex@zabbix.com>
