.TH ZABBIX_SERVER 8 "10 November 2011"
.SH NAME
zabbix_server \- Zabbix server daemon.
.SH SYNOPSIS
.B zabbix_server [-hV] [-c \fI<config-file>\fR] [-R \fI<option>\fR]
.SH DESCRIPTION
.B zabbix_server
is the core daemon of Zabbix software.
.SS Options
.IP "-c, --config \fI<config-file>\fR"
Use the alternate \fIconfig-file\fR instead of the default one.
Absolute path should be specified.
.IP "-R, --runtime-control \fI<option>\fR"
Perform administrative functions according to \fIoption\fR.
.SS
.RS 4
Runtime control options
.RS 4
.TP 4
config_cache_reload
Reload configuration cache. Ignored if cache is being currently loaded.
Default configuration file (unless \fB-c\fR option is specified) will be used to find PID file and signal will be sent to process, listed in PID file.
.RE
.RS 4
.TP 4
log_level_increase[=<target>]
Increase log level, affect all processes if target is not specified
.RE
.RS 4
.TP 4
log_level_increase[=<target>]
Decrease log level, affect all processes if target is not specified
.RE
.RE
.SS
.RS 4
Log level control targets
.RS 4
.TP 4
<pid>
Process identifier
.RE
.RS 4
.TP 4
<process type>
All processes of specified type (e.g., poller)
.RE
.RS 4
.TP 4
<process type>,N
Process type and number (e.g., poller,3)
.RE
.RE
.IP "-h, --help"
Display this help and exit.
.IP "-V, --version"
Output version information and exit.
.SH FILES
.TP
.I /usr/local/etc/zabbix_server.conf
Default location of Zabbix server configuration file (if not modified during compile time).
.SH "SEE ALSO"
.BR zabbix_agentd (8),
.BR zabbix_get (8),
.BR zabbix_proxy (8),
.BR zabbix_sender (8)
.SH AUTHOR
Alexei Vladishev <alex@zabbix.com>
